X
Tap here to go to the mobile version of the site.

Support Forum

This thread was closed and archived. Please ask a new question if you need help.

Firefox 23 has made it impossible to run our product. How do we roll back to version 22?

Posted

We have a product that uses a java applet to run it. Until Firefox 22 (and for all previous versions), we could depend on the Firefox to work with our product, even when no other browser would. We need to be able to remove FF 23 and re-install FF 22. I've tried all the recommendations to fix the problem, but nothing works. Our Apple customers are the ones who are most affected because neither Safari 6, Chrome nor Firefox will run our product. Our PC customers can run IE.

How do I download Firefox 22? I have a saved copy of the FF 21 installer for PC but not for Mac.

I know that this goes against Firefox advice, but I'm instructing my company and my customers to turn off automatic updates for Firefox until such time that we can use future versions.

We have a product that uses a java applet to run it. Until Firefox 22 (and for all previous versions), we could depend on the Firefox to work with our product, even when no other browser would. We need to be able to remove FF 23 and re-install FF 22. I've tried all the recommendations to fix the problem, but nothing works. Our Apple customers are the ones who are most affected because neither Safari 6, Chrome nor Firefox will run our product. Our PC customers can run IE. How do I download Firefox 22? I have a saved copy of the FF 21 installer for PC but not for Mac. I know that this goes against Firefox advice, but I'm instructing my company and my customers to turn off automatic updates for Firefox until such time that we can use future versions.

Chosen solution

By default, web pages are limited to loading files in the same directory and subdirectories. To relax that restriction, you can toggle a setting in about:config. This isn't new, but in case this setting now affects your application in some new way, do you want to try it?

The about:config method should work for about:newtab, but extensions can override it (and a user.js file can revert it at the next startup).

(1) In a new tab, type or paste about:config in the address bar and press Enter. Click the button promising to be careful.

(2) In the search box above the list, type or paste file and pause while the list is filtered

(3) Assuming it is set to its default value of true, double-click the security.fileuri.strict_origin_policy preference to toggle it to false.

Any difference?

Read this answer in context 1

Additional System Details

Installed Plug-ins

  • Shockwave Flash 11.8 r800
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Displays Java applet content, or a placeholder if Java is not installed.
  • Plugin that detects installed Citrix Online products (visit www.citrixonline.com).

Application

  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:23.0) Gecko/20100101 Firefox/23.0

More Information

Question owner

One more thing...

We tested more this morning and found that setting the fileuri to false isn't necessary with Java 6U45.

It is necessary with Java 7U25 (don't know about lower version of Java 7).

This gives us the option of downgrading Java JRE on our customer machines to avoid setting fileuri to false, even though Oracle would say it's a bad idea.

One more thing... We tested more this morning and found that setting the fileuri to false isn't necessary with Java 6U45. It is necessary with Java 7U25 (don't know about lower version of Java 7). This gives us the option of downgrading Java JRE on our customer machines to avoid setting fileuri to false, even though Oracle would say it's a bad idea.
jscher2000
  • Top 10 Contributor
3996 solutions 34889 answers

Hi ffdjp, some Java plugin versions will be blocked, but since the blocklist is the same for all Firefoxes, you should be able to test that before making recommendations.

Hi ffdjp, some Java plugin versions will be blocked, but since the blocklist is the same for all Firefoxes, you should be able to test that before making recommendations.

Question owner

How do I check which java versions are blocked? I can't find anything in about:config or in Firefox Preferences. All I can find is a mime-type list in the add-ons when I click the 'more...' link on the Java add-on.

How do I check which java versions are blocked? I can't find anything in about:config or in Firefox Preferences. All I can find is a mime-type list in the add-ons when I click the 'more...' link on the Java add-on.
jscher2000
  • Top 10 Contributor
3996 solutions 34889 answers

Helpful Reply

Hi ffdjp, in your profile folder, there is a file named blocklist.xml. The blocked Java versions will be coded using Regular Expressions, so may be difficult to parse. However, assuming you are stronger in that area than I am, here's the quickest way to open that folder:

WIN: Help > Troubleshooting Information > "Show Folder" button
MAC: Help > Troubleshooting Information > "Show in Finder" button

Hi ffdjp, in your profile folder, there is a file named blocklist.xml. The blocked Java versions will be coded using Regular Expressions, so may be difficult to parse. However, assuming you are stronger in that area than I am, here's the quickest way to open that folder: WIN: Help > Troubleshooting Information > "Show Folder" button<br> MAC: Help > Troubleshooting Information > "Show in Finder" button
cor-el
  • Top 10 Contributor
  • Moderator
13081 solutions 119745 answers

Helpful Reply

See also https://addons.mozilla.org/en-US/firefox/blocked/

Question owner

Thanks...I can do well with regular expressions. I opened the file, and it appears that as Oracle released a Java update, a new blocked plugin <pluginItem> was added to the XML file.

Thanks...I can do well with regular expressions. I opened the file, and it appears that as Oracle released a Java update, a new blocked plugin <pluginItem> was added to the XML file.

Question owner

Very helpful and easier than reading the XML file.

Very helpful and easier than reading the XML file.
amirs 0 solutions 1 answers

سیستم قبلی خیلی سریع مطمین وخوب کار میکرد.ولی الان قادر به باز کردن خیلی از سایت ها نیست.لطفا کمک کنید که سیستم سریع ومطمین داشته باشم ایراد از دستگاه منه.لطفا کمکم کنید.پروکسی سرور من قبلا هات اسپود شیلد الیت بود که الان من اونو ندارم با اون سیستم شما خیلی بهتر کار میکرد .لطفا هر کمکی که میتونید به من بکنید.ممنونم امیر

سیستم قبلی خیلی سریع مطمین وخوب کار میکرد.ولی الان قادر به باز کردن خیلی از سایت ها نیست.لطفا کمک کنید که سیستم سریع ومطمین داشته باشم ایراد از دستگاه منه.لطفا کمکم کنید.پروکسی سرور من قبلا هات اسپود شیلد الیت بود که الان من اونو ندارم با اون سیستم شما خیلی بهتر کار میکرد .لطفا هر کمکی که میتونید به من بکنید.ممنونم امیر
the-edmeister
  • Top 10 Contributor
  • Moderator
4159 solutions 31330 answers

Translation from Google:

The previous system worked very quickly to ensure cool., But I can not open a lot of sites., Please help 
Fast, safe and easy system to be delivered to my device., Please help me. Aspvd Shield Elite Proxy Server I was hot before, now I do it with her your system a much better working. PLEASE can help me to make. Thanks Amir 

Probably not even related to Firefox support. At a minimum it is off topic for this thread, which has to do with Java and past versions of Firefox. Please use Ask a new question and post in English.

locking this older and solved thread

Translation from Google: <pre><nowiki>The previous system worked very quickly to ensure cool., But I can not open a lot of sites., Please help Fast, safe and easy system to be delivered to my device., Please help me. Aspvd Shield Elite Proxy Server I was hot before, now I do it with her your system a much better working. PLEASE can help me to make. Thanks Amir </nowiki></pre> Probably not even related to Firefox support. At a minimum it is off topic for this thread, which has to do with Java and past versions of Firefox. Please use [https://support.mozilla.org/en-US/questions/new Ask a new question] and post in English. ''locking this older and solved thread''